Bug 77869 - FTP install failed on NetXtreme BCM5701 w/tg3 driver
FTP install failed on NetXtreme BCM5701 w/tg3 driver
Status: CLOSED NOTABUG
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
8.0
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Jeremy Katz
Mike McLean
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-11-14 11:20 EST by Jason Montleon
Modified: 2007-04-18 12:48 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-01-03 02:38:06 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jason Montleon 2002-11-14 11:20:52 EST
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.1; .NET CLR 
1.0.3705)

Description of problem:
FTP install using the diskettes created from bootnet.img and drvnet.img failed 
on a Dell PowerEdge 2650 w/dual NetXtreme BCM5701 NICS.  

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create diskettes from bootnet.img and drvnet.img using dd on a working 
system.
2. Use the bootnet.img diskette to boot. 
3. Type linux dd at the prompt.
4. Insert the driver diskette created from drvnet.img.
5. The tg3 driver will appear to load.
6. Choose FTP as your installation method.  You will be prompted again to 
choose a driver.  Selecting tg3, as is appropriate, you will receive a message 
that the driver failed to load.  Installation cannot continue.  Disabling one 
of the NIC's in BIOS did not work.  Using the noprobe option did not work 
either.
	

Actual Results:  Installation cannot continue because the NIC driver failed to 
install.  Network access is required to continue an FTP install.

Expected Results:  The driver should have loaded properly.  

Additional info:
Installation from CD-ROM media works perfectly.
Comment 1 Arjan van de Ven 2002-11-14 11:22:55 EST
what is the PCI ID for your card ?
(lspci -n will tell you)
Comment 2 Jason Montleon 2002-11-14 11:36:15 EST
The Broadcom NetXtreme BCM5701 Gigabit NICs are:
03:06.0 Class 0200: 14e4:1645 (rev 15)
03:08.0 Class 0200: 14e4:1645 (rev 15)

The full 'lspci' and 'lspci -n' output is below:
[root@localhost root]# lspci
00:00.0 Host bridge: ServerWorks: Unknown device 0012 (rev 13)
00:00.1 Host bridge: ServerWorks: Unknown device 0012
00:00.2 Host bridge: ServerWorks: Unknown device 0000
00:04.0 Class ff00: Dell Computer Corporation Embedded Systems Management Device 4
00:04.1 Class ff00: Dell Computer Corporation PowerEdge Expandable RAID
Controller 3/Di
00:04.2 Class 0c07: Dell Computer Corporation: Unknown device 000d
00:0e.0 VGA compatible controller: ATI Technologies Inc Rage XL (rev 27)
00:0f.0 Host bridge: ServerWorks CSB5 South Bridge (rev 93)
00:0f.1 IDE interface: ServerWorks CSB5 IDE Controller (rev 93)
00:0f.2 USB Controller: ServerWorks OSB4/CSB5 USB Controller (rev 05)
00:0f.3 ISA bridge: ServerWorks: Unknown device 0225
00:10.0 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
00:10.2 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
00:11.0 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
00:11.2 Host bridge: ServerWorks: Unknown device 0101 (rev 03)
03:06.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5701 Gigabit
Ethernet (rev 15)
03:08.0 Ethernet controller: Broadcom Corporation NetXtreme BCM5701 Gigabit
Ethernet (rev 15)
04:08.0 PCI bridge: Intel Corp.: Unknown device 0309 (rev 01)
04:08.1 RAID bus controller: Dell Computer Corporation PowerEdge Expandable RAID
Controller 3 (rev 01)
05:06.0 SCSI storage controller: Adaptec RAID subsystem HBA (rev 01)
05:06.1 SCSI storage controller: Adaptec RAID subsystem HBA (rev 01)
[root@localhost root]# lspci -n
00:00.0 Class 0600: 1166:0012 (rev 13)
00:00.1 Class 0600: 1166:0012
00:00.2 Class 0600: 1166:0000
00:04.0 Class ff00: 1028:000c
00:04.1 Class ff00: 1028:0008
00:04.2 Class 0c07: 1028:000d
00:0e.0 Class 0300: 1002:4752 (rev 27)
00:0f.0 Class 0600: 1166:0201 (rev 93)
00:0f.1 Class 0101: 1166:0212 (rev 93)
00:0f.2 Class 0c03: 1166:0220 (rev 05)
00:0f.3 Class 0601: 1166:0225
00:10.0 Class 0600: 1166:0101 (rev 03)
00:10.2 Class 0600: 1166:0101 (rev 03)
00:11.0 Class 0600: 1166:0101 (rev 03)
00:11.2 Class 0600: 1166:0101 (rev 03)
03:06.0 Class 0200: 14e4:1645 (rev 15)
03:08.0 Class 0200: 14e4:1645 (rev 15)
04:08.0 Class 0604: 8086:0309 (rev 01)
04:08.1 Class 0104: 1028:000a (rev 01)
05:06.0 Class 0100: 9005:00c5 (rev 01)
05:06.1 Class 0100: 9005:00c5 (rev 01)
[root@localhost root]#
Comment 3 Jason Montleon 2002-11-14 12:55:03 EST
Using the 'linux askmethod' boot option from the CD install allows for a 
successful FTP install of RedHat Linux 8.0.  I also tried using the RedHat 
Linux 7.3 bootnet.img and drvnet.img to see if they would work properly, and 
they did.  It appears to be strictly the RedHat Linux 8.0 bootnet.img and 
drvnet.img disk set that has this problem.
Comment 4 Jeremy Katz 2002-11-19 15:16:06 EST
Do you see any error messages on tty4 when the tg3 driver loads?
Comment 5 Jeremy Katz 2003-01-03 02:38:06 EST
Closing due to inactivity.  If you have any further information to add to this
bug, please feel free to reopen it.

Note You need to log in before you can comment on or make changes to this bug.